Subject: bug#34949: 27.0.50; Docstring of `vc-deduce-fileset' incomplete

From: Juri Linkov <[email-masked]>
Date: Mon, 30 Mar 2020 01:27:29 +0300

>>> However! vc-dir-mark-all-files has a special behavior when it's called with
>>> C-u: it tries to mark all files in the current VC-Dir buffer.
>> Or equivalent behavior is when typing 'M' at the top of VC-Dir buffer.
>
> Not exactly: here it only marks the files in the same state as the first
> file in the buffer.

Right, it affects only the files in the root directory.

>> Actually on second thought: no way since vc-dir-mark-all-files
>> can't guess user's intention: whether the user wants
>> to mark all registered files to commit them, or the user
>> wants to mark all unregistered files to register them.
>> So maybe better to leave vc-dir-mark-all-files alone?
>
> I really think we should optimize for the most frequent operation
> there. Otherwise, 'C-u M' remains fairly useless (but still takes up a key 
> sequence). The fact that it can mark a set of files in incompatible
> statuses, and nobody has filed a bug report about that until now, likely 
> indicates that people don't often use it. Or don't use it at all.

Actually, marking all files with 'C-u M' is not useless.  There are
other VC commands that make sense to run on all marked files, e.g.
search in all files marked by 'C-u M', query-replace, delete, etc.